Yandex Cloud
Поиск
Связаться с экспертомПопробовать бесплатно
  • Кейсы
  • Документация
  • Блог
  • Все сервисы
    • Cloud Interconnect
    • Cloud Backup
    • Cloud Registry
    • Yandex AI Studio
    • Compute Cloud
    • Object Storage
    • Managed Service for Kubernetes®
    • Yandex BareMetal
    • Smart Web Security
    • Security Deck
    • Managed Service for PostgreSQL
    • Managed Service for ClickHouse®
    • Monium
    • Cloud CDN
    • Network Load Balancer
    • Virtual Private Cloud
    • Cloud DNS
    • Application Load Balancer
    • Yandex Cloud Video
    • Stackland
    • Yandex Cloud Router
    • Yandex Managed Service for Trino
    • Managed Service for MySQL®
    • Managed Service for Valkey™
    • Managed Service for Apache Spark™
    • Yandex StoreDoc
    • Managed Service for OpenSearch
    • Managed Service for Apache Kafka®
    • Data Transfer
    • Yandex MPP Analytics Engine for PostgreSQL
    • Yandex Managed Service for Apache Airflow®
    • Data Processing
    • Yandex MetaData Hub
    • Managed Service for YDB
    • Managed Service for Sharded PostgreSQL
    • Managed Service for YTsaurus
    • Yandex WebSQL
    • DataLens
    • Yandex Search API
    • SpeechSense
    • SpeechKit
    • DataSphere
    • Vision OCR
    • Translate
    • Yandex Neurosupport
    • Yandex Cloud Detection and Response
    • Yandex Identity Hub
    • Key Management Service
    • Certificate Manager
    • Yandex Lockbox
    • Audit Trails
    • SmartCaptcha
    • Cloud Desktop
    • GOST Gateway
    • Yandex SIEM
    • SourceCraft Code Assistant
    • Container Registry
    • Managed Service for GitLab
    • SourceCraft
    • Managed Service for Prometheus®
    • Cloud Functions
    • API Gateway
    • Yandex Cloud Postbox
    • Message Queue
    • Serverless Integrations
    • IoT Core
    • Data Streams
    • Serverless Containers
    • Cloud Notification Service
    • Yandex Query
    • Identity and Access Management
    • Yandex Cloud Console
    • Resource Manager
    • Yandex Cloud Billing
    • Yandex Cloud Quota Manager
    • Cloud Apps
  • Статус работы сервисов
  • Marketplace
    • Популярные
    • Инфраструктура и сеть
    • Платформа данных
    • Искусственный интеллект
    • Безопасность
    • Инструменты DevOps
    • Бессерверные вычисления
    • Управление ресурсами
  • Все решения
    • По отраслям
    • По типу задач
    • Экономика платформы
    • Yandex Cloud Trust
    • Техническая поддержка
    • Каталог партнёров
    • Обучение и сертификация
    • Облако для стартапов
    • Облако для крупного бизнеса
    • Центр технологий для общества
    • Облако для интеграторов
    • Поддержка IT-бизнеса
    • Облако для фрилансеров
    • Обучение и сертификация
    • Блог
    • Документация
    • Контент-программа
    • Мероприятия и вебинары
    • Контакты, чаты и сообщества
    • Идеи
    • Калькулятор цен
    • Тарифы
    • Акции и free tier
  • Кейсы
  • Документация
  • Блог
Создавайте контент и получайте гранты!Готовы написать своё руководство? Участвуйте в контент-программе и получайте гранты на работу с облачными сервисами!
Подробнее о программе
Проект Яндекса
© 2026 ООО «Яндекс.Облако»
Yandex Identity Hub
  • Управление доступом
  • Правила тарификации
  • Справочник Terraform
    • Аутентификация
      • Overview
        • Overview
          • Overview
          • SetReplicationToken
          • ResetReplicationToken
          • GetReplicationToken
          • CreateSynchronizationSettings
          • UpdateSynchronizationSettings
          • DeleteSynchronizationSettings
          • GetSynchronizationSettings
          • ListSupportedAttributes
  • Аудитные логи Audit Trails
  • История изменений
  • История изменений Yandex Identity Hub Sync Agent
  • Обучающие курсы

В этой статье:

  • HTTP request
  • Path parameters
  • Response
  • SynchronizationFilter
  • UserAttributeMapping
  • GroupAttributeMapping
  • LdapSettings
  1. Справочник API
  2. REST (англ.)
  3. Identity Provider API
  4. Synchronization
  5. GetSynchronizationSettings

Identity Provider API, REST: Synchronization.GetSynchronizationSettings

Статья создана
Yandex Cloud
Обновлена 5 августа 2026 г.
Открыть в Markdown
  • HTTP request
  • Path parameters
  • Response
  • SynchronizationFilter
  • UserAttributeMapping
  • GroupAttributeMapping
  • LdapSettings

Returns synchronization settings for a subject container.

HTTP requestHTTP request

GET https://organization-manager.api.cloud.yandex.net/organization-manager/v1/idp/synchronization-settings/{subjectContainerId}

Path parametersPath parameters

Request to get synchronization settings.

Field

Description

subjectContainerId

string

Required field. ID of the subject container.

The maximum string length in characters is 50.

ResponseResponse

HTTP Code: 200 - OK

{
  "subjectContainerId": "string",
  "filter": {
    "domain": "string",
    "groups": [
      "string"
    ],
    "organizationUnits": [
      "string"
    ]
  },
  "removeUserBehavior": "string",
  "synchronizationInterval": "string",
  "allowToCaptureUsers": "boolean",
  "allowToCaptureGroups": "boolean",
  "userAttributeMappings": [
    {
      "source": "string",
      "target": "string",
      "type": "string"
    }
  ],
  "groupAttributeMappings": [
    {
      "source": "string",
      "target": "string",
      "type": "string"
    }
  ],
  "createdAt": "string",
  "replacementDomain": "string",
  "enablePasswordWriteback": "boolean",
  "ldapSettings": {
    "externalIdAttribute": "string",
    "dnAttribute": "string",
    "userObjectClass": "string",
    "groupObjectClass": "string",
    "accountDisabledAttribute": "string",
    "accountDisabledValue": "string",
    "accountEnabledValue": "string",
    "passwordAttribute": "string",
    "deltaSyncMode": "string",
    "useRecursiveMembershipFilter": "boolean"
  }
}

Synchronization settings for a subject container.

Field

Description

subjectContainerId

string

ID of the subject container.

filter

SynchronizationFilter

Filter configuration for synchronization.

removeUserBehavior

enum (RemoveUserBehavior)

Behavior when removing users.

  • REMOVE: Remove the user.
  • BLOCK: Block the user.

synchronizationInterval

string (duration)

Interval between synchronization runs.

allowToCaptureUsers

boolean

Whether users can be captured during synchronization.

allowToCaptureGroups

boolean

Whether groups can be captured during synchronization.

userAttributeMappings[]

UserAttributeMapping

User attribute mappings.

groupAttributeMappings[]

GroupAttributeMapping

Group attribute mappings.

createdAt

string (date-time)

Timestamp when the settings were created.

String in RFC3339 text format. The range of possible values is from
0001-01-01T00:00:00Z to 9999-12-31T23:59:59.999999999Z, i.e. from 0 to 9 digits for fractions of a second.

To work with values in this field, use the APIs described in the
Protocol Buffers reference.
In some languages, built-in datetime utilities do not support nanosecond precision (9 digits).

replacementDomain

string

Domain replacement configuration.

enablePasswordWriteback

boolean

Enables password writeback feature.

ldapSettings

LdapSettings

Settings for generic LDAP synchronization source.

Empty for Active Directory source. Required and fully populated for
generic LDAP source.

SynchronizationFilterSynchronizationFilter

Filter configuration for synchronization.

Field

Description

domain

string

Required field. Domain to synchronize.

The string length in characters must be 1-253.

groups[]

string

List of groups to synchronize.

The string length in characters for each value must be 1-253. The maximum number of elements is 10.

organizationUnits[]

string

List of organizational units to synchronize.

The string length in characters for each value must be 1-253. The maximum number of elements is 10.

UserAttributeMappingUserAttributeMapping

User attribute mapping configuration.

Field

Description

source

string

Source attribute name.

The string length in characters must be 0-253.

target

enum (UserTargetAttribute)

Required field. Target attribute to map to.

  • FULL_NAME: Full name attribute.
  • GIVEN_NAME: Given name attribute.
  • FAMILY_NAME: Family name attribute.
  • EMAIL: Email attribute.
  • PHONE_NUMBER: Phone number attribute.
  • USERNAME: Username attribute.
  • COMPANY_NAME: Company name attribute.
  • JOB_TITLE: Job title attribute.
  • DEPARTMENT: Department attribute.
  • EMPLOYEE_ID: Employee ID attribute.

type

enum (MappingType)

Required field. Type of mapping.

  • DIRECT: Direct mapping from source to target.
  • EMPTY: Empty mapping (no source attribute).
  • DIRECT_ARBITRARY_ATTRIBUTE: Direct mapping from an arbitrary source attribute

GroupAttributeMappingGroupAttributeMapping

Group attribute mapping configuration.

Field

Description

source

string

Source attribute name.

The string length in characters must be 0-253.

target

enum (GroupTargetAttribute)

Required field. Target attribute to map to.

  • NAME: Name attribute.
  • DESCRIPTION: Description attribute.

type

enum (MappingType)

Required field. Type of mapping.

  • DIRECT: Direct mapping from source to target.
  • EMPTY: Empty mapping (no source attribute).
  • DIRECT_ARBITRARY_ATTRIBUTE: Direct mapping from an arbitrary source attribute

LdapSettingsLdapSettings

Settings for generic LDAP synchronization source.

Field

Description

externalIdAttribute

string

Name of the LDAP attribute that holds the unique entry identifier.

dnAttribute

string

Name of the LDAP attribute that holds the DN of the entry.

userObjectClass

string

ObjectClass of users.

groupObjectClass

string

ObjectClass of groups.

accountDisabledAttribute

string

Name of the LDAP attribute that stores the account status.

accountDisabledValue

string

Value of account_disabled_attribute meaning the account is disabled.

accountEnabledValue

string

Value of account_disabled_attribute meaning the account is enabled.

passwordAttribute

string

Name of the LDAP attribute the agent writes the new password to during
password writeback.

deltaSyncMode

enum (LdapDeltaSyncMode)

Delta synchronization mode.

  • LDAP_DELTA_SYNC_MODE_FULL_SYNC: Every run is a full sync; no replication token is used.

useRecursiveMembershipFilter

boolean

Enables the AD-extension matching rule
1.2.840.113556.1.4.1941 for the group-DN membership filter.

Была ли статья полезна?

Предыдущая
DeleteSynchronizationSettings
Следующая
ListSupportedAttributes
Создавайте контент и получайте гранты!Готовы написать своё руководство? Участвуйте в контент-программе и получайте гранты на работу с облачными сервисами!
Подробнее о программе
Проект Яндекса
© 2026 ООО «Яндекс.Облако»